<!doctype html>
<html lang="en" xmlns:th="http://www.thymeleaf.org"
      xmlns:layout = "http://www.ultraq.net.nz/thymeleaf/layout"
      layout:decorate="~{admin/dashboardLayout.html}">
<head>

</head>
<body>
<section class="row" layout:fragment="content">
    <div class="col mt-4">
        <div class="card">
            <div class="card-header">
                <h2>List of Orders</h2>
            </div>
            <div class="card-body">
                <div th:if="${message} != null" class="alert alert-primary" role="alert">
                    <i>[[${message}]]</i>
                </div>
                <table class="table table-striped table-inverse">
                    <thead class="thead-inverse">
                    <tr>

                        <th>OrderId</th>
                        <th>Customer Name</th>
                        <th>Date</th>
                        <th>Total</th>
                    </tr>
                    </thead>
                    <tbody>
                    <tr th:each=" order: ${orders}">
                        <td scope="row">[[${order.orderId}]]</td>
                        <td th:text="${order.customer.firstName} + ' ' + ${order.customer.lastName}"></td>
                        <td th:text="${order.orderDate}"></td>
                        <td th:text="${order.amount}"></td>
                        <td>
                            <a th:href="@{'/admin/orders/detail/' + ${order.orderId}}" class="btn btn-outline-info">Detail</a>
                        </td>
                    </tr>
                    </tbody>
                </table>
            </div>
        </div>
    </div>
</section>
</body>
</html>
